mail

POST /v1/mail/mailboxes/{mailboxId}/password

Reset a mailbox password.

모든 mail 엔드포인트

인증

Bearer 토큰으로 API 키를 전송하세요. 키는 반드시 mail.manage 권한을 가지고 있어야 하며, 권한이 없는 키는 404가 아닌 403으로 거부됩니다.

이 엔드포인트는 조직 ID를 받지 않습니다. 사용자의 키가 이미 속한 조직을 식별하며, 응답은 해당 조직으로 한정됩니다.

무료 체험하기

대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.

curl -X POST https://api.zinndigital.com/v1/mail/mailboxes/{mailboxId}/password \
  -H "Authorization: Bearer zdk_live_…"

로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요

상세 정보

Mints a **new** password and returns it once. Always a reset, never a read: there is no column holding the old one and no path that could write one. Requires `mail.manage`.

매개변수

이름유형필수설명
mailboxId (path)UuidMailbox ID (UUIDv7).

응답

이름유형필수설명
mailboxMailboxOne mailbox. Never carries a password — see `MailboxCreated`.
passwordobjectThe password, shown once. `null` when the backend reconciled to a mailbox that already existed and refused to rotate a live password.

이 엔드포인트가 반환할 수 있는 오류

401 · 403 · 404 · 422 · 429 · 503